"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
function BodyParser(target, key, descriptor) {
    const fn = descriptor.value;
    descriptor.value = function (event, context) {
        return __awaiter(this, void 0, void 0, function* () {
            let body = {};
            if (event.body && event.body !== '') {
                body = JSON.parse(event.body);
            }
            return fn.apply(this, [body, context]);
        });
    };
    return descriptor;
}
exports.BodyParser = BodyParser;
