"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const config_1 = require("./config");
function Env(name) {
    return (target, key) => {
        const envName = name || key;
        const envProperty = { key, envName };
        if (Array.isArray(target.constructor[config_1.ENV_METADATA])) {
            target.constructor[config_1.ENV_METADATA].push(envProperty);
        }
        else {
            target.constructor[config_1.ENV_METADATA] = [envProperty];
        }
    };
}
exports.Env = Env;
